# $XFree86: doctools/docbook/3.0/Makefile,v 1.1 1998/04/10 14:31:27 dawes Exp $

SHELL=/bin/sh

# These are defaults which are normally overriden
PREFIX = /usr/local
INSTALL = install

INSTDIR = $(PREFIX)/share/sgml/docbook/3.0
ISOCAT = $(PREFIX)/share/sgml/iso8879/catalog

FILES = 30chg.txt 40issues.txt announce.txt cals-tbl.dtd catalog \
	dbgenent.mod dbhier.mod dbpool.mod docbook.cat docbook.dcl \
	docbook.dtd

all: catalog

catalog: catalog.src
	rm -f catalog
	sed s,%ISOCAT%,$(ISOCAT), < catalog.src > catalog

install: $(FILES)
	@if [ ! -d $(INSTDIR) ]; then \
	  (set -x; mkdir -p $(INSTDIR)); \
	fi
	@for i in $(FILES); do \
	  (set -x; $(INSTALL) -c -m 444 $$i $(INSTDIR)); \
	done

clean:
	rm -f catalog
